/*
 * JBoss, the OpenSource J2EE webOS
 * 
 * Distributable under LGPL license. See terms of license at gnu.org.
 */

package javax.emb;

/**
 * This exception is thrown during <code>MetaDataEntityLocalHome.query(...)</code>
 * whenever a specified query statement is not valid for the specified query
 * language.
 * 
 * @version <tt>$Revision: 1.1 $</tt>
 * @author <a href="mailto:ricardoarguello@users.sourceforge.net">Ricardo
 *         Argüello</a>
 */
public class MalformedQueryException extends MediaException
{
   /**
    * @see javax.emb.MediaException()
    */
   public MalformedQueryException()
   {
      super();
   }

   /**
    * @see javax.emb.MediaException(String)
    */
   public MalformedQueryException(String message)
   {
      super(message);
   }

   /**
    * @see javax.emb.MediaException(String, Throwable)
    */
   public MalformedQueryException(String message, Throwable cause)
   {
      super(message, cause);
   }

   /**
    * @see javax.emb.MediaException(Throwable)
    */
   public MalformedQueryException(Throwable cause)
   {
      super(cause);
   }
}